

//example initial chats
chat "cyclops"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	type "game_enter" //initiated when the bot enters the game
	{
		"JJEEEEEEEEAAAAANNNNN!!!!!!!.";
		"What am i doing here?.";
		"The battle's afoot!";
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"I'm bored, gonna see if jean's busy.";
		"Hitting the road again ... ";
		"Keep up the good work ";
		GOODBYE;
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"hmmm ", 4, " looks like the shiar homeworld.";
		"This doesn't look like the danger room....";
		"OK,....who teleported my this time? Sinister? Apocalypse?.";
		"Where's JEEEEEEAAAANNN!!!!!.";
		HELLO8;
		// 0 = bot name
		// 4 = Level's title
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"Good game, people.";
		"Don't smile, ", 2, ". you now have the X-MEN as enemies.";
		"Here's a career pointer, ", 3, "... Learn to cook.";
		// 0 = bot name
		// 2 = opponent in first place
		// 3 = opponent in last place
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		4, " looks so much better when I turn you all into little stains.";
		"My training has paid off.";
		"And you're wondering, how can ~one man be so good?";
		"Hey, ", 3, ". Just to be sporting next time, I'll close my eyes.";
		// 0 = bot name
		// 3 = opponent in last place
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"Professor Xavier says no fooling around before a battle ... I should've listened, eh?";
		"Professor X told me there'd be days like this.";
		"JJJEEEEEAAAANNNN!.";
		DEATH_INSULT3;
		// 0 = bot name
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"That's no way to play!";
		"The old brick-in-the-gauntlet trick, eh, ", 0, "?";
		" All bets are off, now.";
		DEATH_TALKING;
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"Well done, ", 0, ", Well done!";
		"My, my, ", 0, ". Getting a bit big for your britches, eh?";
		"I definitely didn't enjoy that.";
		"Well, I'm waiting for an apology, ", 0, ".";
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		DEATH_INSULT5;
		HIT_NOKILL0;
		"OPTIC BLAST!";
		"I hear the pitter-patter of dripping blood. Must be yours, ", 0, ".";
		//"Will you stay down, ", 0, "? These ", 1, " cost money!";
		// 0 = opponent
		// 1 = ammo type
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"Quit crowding the battleground!";
		"Have you no manners? I was here first.";
		TELEFRAGGED1;
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{
		"I can see the grou ... ";
		"Someone catch me! Storm? Rogue? anyone?.....";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		DEATH_LAVA0;
		"This isn't going well with the Mexican dinner special I just ate.";
		"And here I forgot to bring marshmallows.";
		"I feel like Johnny Storm.";
		"I'm the toast with the most!";
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		"Somebody forgot to clean the X-mansion's spa!";
		"A bit too much caffeine for my tastes.";
		"A spoon, a spoon! My kingdom for a spoon!";
		"Aren't there government agencies that deal with this stuff?";
		"I think I just found a batch of melted politicians.";
		"And here I am wearing dry clean only.";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Well, I guess I can't drink my way out of this ~one.";
		"I think we can safely assume that the drought is over.";
		"Could somebody get me a towel?";
		"Call me insane, but I think I saw JFK jr down there.";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		DEATH_SUICIDE6;
		"My ruby-quartz visor slipped....";
		"See, it takes a leader to kill a leader.";
		"I'm always willing to make a noble sacrifice.";
		"There, ", 0, ". That should help you catch up.";
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
		"Why is my hair standing up straight? Oh, not the hair, man!";
		"So, ", 0, ", you can use a gauntlet without hurting yourself.";
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		"I didn't even hear the shot.";
		"See what happens when they let children play with guns.";
		"I thought I recognized that ~rail trail color, ", 0, ".";
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"That weapon is a peashooter compared with my optic blasts!";
		"Whoa, I feel like I just got locked up with a convoy of ~eighteen wheelers.";
		"I would have sworn that the BFG was banned by the Arena Masters.";
		"Now I know how a ~bug on a windshield feels.";
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"Lucky and good aren't the same thing.";
		"Next time, try it with your eyes open, junior.";
		");-P";
		"Ouch!";
		"JJJEEEEEEAAAAANNNN!!!!!!!!!!"
		"Do you know wolverine ", 0,"? You will.";
		"Do you know how it feels to have your limbs amputated by optic blasts ", 0,"? Get ready to.";
		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
		"The road is yours now, ",0,". Use it well.";
		"Okay, so I can't beat you with ~one hand tied behind my back, ", 0, ".";
		"Wow, was that the new and improved ", 1, "?";
		D_PRAISE4;
		// 0 = enemy name
		// 1 = opponent's weapon
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"Just a whisper on the wind, eh? Not!";
		"Adopt a highway, skidmark.";
		"So you're a member of the 'slow-moving target gang,' eh, ", 0, ".?"; 
		"My accuracy is impeccible.";
		"If i can see you, i can shoot you";
		KILL_RAIL2;
		KILL_INSULT10;
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"Look, I'm a ~bug light.";
		"Think I'll use this to weld a new tailpipe on the blackbird next.";
		"Sorry, ", 0, ", gotta run. Your mother's calling.";
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"Hey, ", 0, ", it's not my fault. I skidded on the sand.";
		"Thanks for cushioning the entry, ", 0, ".";
		TELEFRAGGED5;
		"Pull yourself together friend!";
		"Sorry. I didn't know this stall was occupied.";
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{
		"I'm next, right?";
		"I like your technique, ", 0 ,". Could you show me that again?";
		"**[shakes head]**";
		"Bravo, ", 0, "! It's not everyone who can frag themselves with their own gauntlet.";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
		"How many times do I have to kill you before you get a clue, ", 0, "?";
		"If i can see you, i can shoot you";
		"OPTIC_BLAST!!!";
		KILL_INSULT0;
		KILL_INSULT5;
		"The joy I have in wiping out galactic scum like ", 0, " is incredible.";
		KILL_INSULT21;
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		"It was an honor to kill you, ", 0, "... I'll gladly do it again and again.";
		"You're good, ", 0, ", but only the best can survive.";
		"You are a challenging target, ", 0, ".";
		"Don't feel so bad, ", 0,". NO-one can hide from my optic-blasts!";
		PRAISE4;
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"Nothing personal ... well, seeing you, ", 0, ", it becomes personal.";
		0, ", you smell too wretched to even think of hiding.";
		"The bigger they are the harder they fall ... and you look about colossus-sized.";
		"Prepare to be stomped!";
		"You don't look so scary to me.";
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"The shades are ruby-quartz, but the baby-blues behind them are all mine.";
		"No, the X-MEN aren't accepting new memberships at the moment ", 0,", sorry.";
		"Shades fogging again? I must have lost a seal on these things.";
		"JJJJJJEEEEEEEEEEEAAAAAANNNNN!!!!!!!!!!";
		"Is this some kind of loser ritual?";
		"I'd keep an eye on that storm coming in, if I were you.";
		"A rather studious looking ensemble, if I do say so myself.";
		"ohmigod.";
		"You've just violated my third law of fairness, ", 0, ".";
		MISC0;
		MISC11;
		MISC14;
		"We're not a gang, we're freedom fighters!";
		one_liners;
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type
} //end cyclops chat

