//===========================================================================
//
// Name:			Ironman
// Function:		chat lines for ironman
// Programmer:		Snafu [mixmaster_booth@yahoo.com]
// Author:			
// Editor:			Paul Jaquays
// Last update:		2000
// Tab Size:		3 (real tabs)
//===========================================================================

//example initial chats
chat "ironman"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"
	//======================================================
	//======================================================
	type "game_enter" //initiated when the bot enters the game
	{	
		"Where am I? This doesn't look like Avengers Mansion.";
		"You don't seriously think you can beat me with that popgun.";
		"Prepare to feel my repulsor rays.";
		" ", 4, " looks just like the negative zone.";
		"Ahhh, my old nemesis, ", 1, ". We meet again.";
		HELLO5;
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{	
		"I do not terminate civilians.";
		"Incoming transmission. Return to Avengers mansion.";
		"Do not expect me to go easy on you when I return.";
		GOODBYE5;
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{	
		"No datacard? That makes ", 0, " the enemy.";
		"Obviously this mission calls for a professional.";
		LEVEL_START1;
		// 0 = bot name
		// 1 = random player
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{	
		"These medievil weapons are slowing me down.";
		"Next time, ", 2, ", I'll break your neck with my own hands.";
		LEVEL_END2;
		// 0 = bot name
		// 2 = opponent in first place
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{	
		"Give up, ", 3, ". My suit was designed for combat.";
		"I hate dealing with amateurs.";
		"Mission objective accomplished. Awaiting further instructions cap.";
		LEVEL_END_VICTORY1;
		// 0 = bot name
		// 2 = opponent in first place
		// 3 = opponent in last place
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{	
		"I think it's time to redesign my armor.";
		"Somebody get me to tony stark.";
		"I'm glad ~hawkeye isn't here.";
		"Do it again. I'll get Thor to kick your ass!.";
		LEVEL_END_LOSE0;
		// 0 = bot name
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{	
		"Okay, ~hero. From now on it's no holds barred.";
		"Okay, ", fighter, ". From now on it's no holds barred.";
		"PISS OFF! i was typing!.";
		"You really want to taste my photon cannon don't you, ", 0, ".";
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{	
		" You're gonna need a bigger gun.";
		"Hey.... my armor was bulletproof!";
		"That which don't kill me ... ";
		"Nice shot, ", 0, ". Now watch a professional in action.";
		"~Ho ~ho ~ho, ", 0, ". You're just making the final payback sweeter.";
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{	
		"Hurts, don't it?";
		"Obviouslythis atmosphere is playing havoc with my tracking systems.";
		"Once my systems reboot i'm taking you out, ", 0, ".";
		"Frag is short for fragment ... see the little ", 0, " fragment on the deck?";
		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"That's murder on the cybronics.";
		"Yow! That some kind of EMP you hit me with, ", 0, "?";
		DEATH_TELEFRAGGED1;
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{	
		"What??!? my boot jets jammed.";
		"Note to self: double check boot jets b4 next mission.";
		"All this armor ... and I go and land on my head.";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{	
		"System meltdown imminent ... where's Captain America when you need him?.";
		"Lava can't hurt ME... ouch ouch oucshhhit!.";
		"Someone oughtta bottle this hot sauce.";
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{	
		"That don't look like no hot wax dip.";
		DEATH_SLIME0;
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{	
		"Great, all this technology and i forgot the waterproofing.";
		"Break out the rust remover. I'm gonna need it.";
		DEATH_DROWN1;
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{	
		"Aarrrgh. Friggin' computer glitches.";
		"I wish i hadn't installed windows 2000 when i made this suit .";
		"Triple redundancy in everything except common sense.";
		"Shit!! My onboard computer just lagged me out.";
		DEATH_SUICIDE1;
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{	
		"You shorted out my systems, ", 0, "!";
		"That was ~one heck of dent you left, ", 0, "!";
		"Terminal tickling ... what a way to go.";
		DEATH_GAUNTLET1;
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{	
		"Come out, ", 0, ", and fight like an Avenger.";
		"Coward! Face me man to Avenger.";
		"System scanning........target found: camper w/ railgun.";
		DEATH_RAIL1;
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{	
		"That will do a number on your ego.";
		"'Scuse me while I go raid a used car lot for replacement parts.";
		DEATH_BFG1;
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{	
		"Your mother, ", 0, ". She as ugly as you?";
		"Laugh while you can, gerbil-brain. I'll be back.";
		"I see that mail-order degree you earned is finally paying off, ", 0, ".";
		DEATH_INSULT2;
		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{	
		"Nice marksmanship, Hawkeye would be proud.";
		"A toast to ", 0, ".  Well done.";
		D_PRAISE4;
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{	
		"I could do that at 1,000 meters in a high wind.";
		KILL_RAIL0;
		KILL_RAIL2;
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{	
		"I just wanted to look you in the eyes, ", 0, ", while you die.";
		KILL_GAUNTLET2;
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefrags someone
	{	
		0, "! Your rent is overdue.";
		"Candygram!!";
		TELEFRAGGED0;
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{	
		"Feh. You ain't worth putting back together.";
		"They could rebuild you, ", 0, ", but they all outta 'stupid' parts.";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{	
		"I see no honor in this.";
		"Remember, ", fighter, ", practice makes perfect.";
		KILL_INSULT3;
		KILL_INSULT13;
		KILL_INSULT39;
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{	
		"For a moment ", fighter, ", I thought you might actually win ... ^1 NOT.";
		"I think I'll donate your body to science, ", 0, ".";
		PRAISE2;
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{	
		"Come on, Jarvis! fight!";
		"Do you smell something? ", 0, ", maybe?[implementing deodorant]!";
		"This tin man's got his heart. But I think that ", 0, " the scarecrow is missing some brains.";
		"I know cowards when I can't see 'em.";
		MISC15;
		TAUNT4;
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"Anybody got an oil can?";
		"Sometimes, I imagine I got ", liquid, " runnin' in my hydraulics.";
		"I really could go for a few martinis.";
		"I really could go for an order of ", food, ".";
		MISC6;
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type
} //end ironman chat


